#! /usr/bin/env node
var inquirer=require('inquirer')
var {program} =require('commander')
let fs=require('fs')
let path=require('path')
program.version('0.0.1')
function copy(dirpath,newdirpath){
    if(!fs.existsSync(newdirpath)){
        fs.mkdirSync(newdirpath)
    }
    let arr=fs.readdirSync(dirpath)
    console.log(arr);
    arr.map(item=>{
        let newpath=path.join(newdirpath,item)
        let oldpath=path.join(dirpath,item)
        if(fs.statSync(oldpath).isDirectory()){
            copy(oldpath,newpath)
        }else{
            fs.copyFileSync(oldpath,path.join(newpath))
        }
    })
}
inquirer.prompt([
    {
        type:'list',
        message:'请选择项目名称',
        name:'type',
        choices:['react','vue']
    }
])
.then(answers=>{

    let dirpath=path.join(__dirname,'../lib',answers.type)
    console.log(dirpath);
    let newdirpath=path.join(process.cwd(),answers.type)
    copy(dirpath,newdirpath)
})
.catch(error=>{
    if(error.isTtyError){
 console.log(error);
    }else{

    }
})
program.parse(process.argv)